Bug 507492 - Selecting analog or digital output in pulseaudio pavucontrol has no effect
Selecting analog or digital output in pulseaudio pavucontrol has no effect
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: alsa-lib (Show other bugs)
11
x86_64 Linux
low Severity medium
: ---
: ---
Assigned To: Jaroslav Kysela
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2009-06-22 20:20 EDT by John Thacker
Modified: 2010-06-28 09:14 EDT (History)
4 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2010-06-28 09:14:15 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description John Thacker 2009-06-22 20:20:10 EDT
Description of problem:
As we know from bug 496320, pulseaudio defaults to digital output over analog.  pavucontrol has an option in the configuration tab to switch between analog and digital output, but this has no effect for me.  I have a Audigy2 Value, emu10k1 chip.

Version-Release number of selected component (if applicable):
pavucontrol-0.9.8-1.fc11.x86_64
pulseaudio-0.9.15-14.fc11.x86_64

How reproducible:
Always

Steps to Reproduce:
1. Login to X.
2. Try to listen to music.
3. Open pavucontrol, select Configuration tab, select "Output Analog Stereo," or any other profile with Analog Output.
4. Switch between Analog and Digital Output.
  
Actual results:
No sound, no effect from switching profiles.  If analog output is currently enabled through alsamixer, selecting Digital Output in pavucontrol has no effect either.

The profiles, in order to switch between analog and digital output, should mute and turn on the switch called "IEC958 Optical Raw" in alsamixer, or by alsactl:

        control.31 {
                comment.access 'read write'
                comment.type BOOLEAN
                comment.count 2
                iface MIXER
                name 'IEC958 Optical Raw Playback Switch'
                value.0 false
                value.1 false
        }

However, this switch is not changed.

Expected results:

Output should switch between digital and analog as selected.

Additional info:
I can use alsactl restore or alsamixer every time I log in to reset to analog output.  If bug 496320 were fixed, then this problem would be less obvious to me since I use analog speakers, but solving it is independent of that bug.

alsactl init (which doesn't affect this switch, as it doesn't know whether I want digital or analog output) gives this message indicating that it cannot
precisely identify my emu10k1 Audigy2 Value card:

Unknown hardware: "Audigy2" "SigmaTel STAC9750,51" "AC97a:83847650" "0x1102"
"0x1021"
Hardware is initialized using a guess method
Comment 1 Lennart Poettering 2009-06-25 11:18:43 EDT
Sounds like a problem in the spdif:xxx device string logic in ALSA. Reassigning to ALSA.
Comment 2 Bug Zapper 2010-04-27 11:10:57 EDT
This message is a reminder that Fedora 11 is nearing its end of life.
Approximately 30 (thirty) days from now Fedora will stop maintaining
and issuing updates for Fedora 11.  It is Fedora's policy to close all
bug reports from releases that are no longer maintained.  At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '11'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 11's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 11 is end of life.  If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora please change the 'version' of this 
bug to the applicable version.  If you are unable to change the version, 
please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 3 Bug Zapper 2010-06-28 09:14:15 EDT
Fedora 11 changed to end-of-life (EOL) status on 2010-06-25. Fedora 11 is 
no longer maintained, which means that it will not receive any further 
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of 
Fedora please feel free to reopen this bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.